> ## Documentation Index
> Fetch the complete documentation index at: https://docs.scrapebadger.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Search Google Maps places

> Search Google Maps places



## OpenAPI

````yaml GET /v1/google/maps/search
openapi: 3.1.0
info:
  title: ScrapeBadger Google Scraper
  description: >-
    Dedicated API for scraping Google products (SERP, Maps, News, Hotels,
    Trends, Jobs, Shopping, Patents, Scholar, Autocomplete, Images, Videos,
    Finance, AI Mode, Lens, Products).
  version: 1.0.0
servers:
  - url: https://scrapebadger.com
    description: Production
security:
  - apiKeyAuth: []
paths:
  /v1/google/maps/search:
    get:
      tags:
        - Google Maps
      summary: Search Google Maps places
      description: |-
        Search Google Maps for places.

        Returns place names, ratings, addresses, phone numbers, coordinates,
        hours, and service options.
      operationId: maps_search_api_v1_maps_search_get
      parameters:
        - name: q
          in: query
          required: true
          schema:
            type: string
            description: Search query (e.g. 'pizza in New York')
            title: Q
          description: Search query (e.g. 'pizza in New York')
        - name: ll
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: GPS coords @lat,lng,zoom
            title: Ll
          description: GPS coords @lat,lng,zoom
        - name: gl
          in: query
          required: false
          schema:
            type: string
            description: Country code
            default: us
            title: Gl
          description: Country code
        - name: hl
          in: query
          required: false
          schema:
            type: string
            description: Language code
            default: en
            title: Hl
          description: Language code
        - name: start
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            description: Pagination offset (increments of 20)
            default: 0
            title: Start
          description: Pagination offset (increments of 20)
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MapsSearchResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    MapsSearchResponse:
      properties:
        results:
          items:
            $ref: '#/components/schemas/MapsPlaceResult'
          type: array
          title: Results
        pagination:
          $ref: '#/components/schemas/Pagination'
      type: object
      required:
        - results
        - pagination
      title: MapsSearchResponse
      description: Response for GET /api/v1/maps/search.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    MapsPlaceResult:
      properties:
        title:
          type: string
          title: Title
        place_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Place Id
        data_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Data Id
        data_cid:
          anyOf:
            - type: string
            - type: 'null'
          title: Data Cid
        rank:
          anyOf:
            - type: integer
            - type: 'null'
          title: Rank
        rating:
          anyOf:
            - type: number
            - type: 'null'
          title: Rating
        reviews_count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Reviews Count
        price_level:
          anyOf:
            - type: string
            - type: 'null'
          title: Price Level
        type:
          anyOf:
            - type: string
            - type: 'null'
          title: Type
        types:
          items:
            type: string
          type: array
          title: Types
        type_ids:
          items:
            type: string
          type: array
          title: Type Ids
        extensions:
          items:
            additionalProperties:
              items:
                type: string
              type: array
            type: object
          type: array
          title: Extensions
        address:
          anyOf:
            - type: string
            - type: 'null'
          title: Address
        phone:
          anyOf:
            - type: string
            - type: 'null'
          title: Phone
        website:
          anyOf:
            - type: string
            - type: 'null'
          title: Website
        gps_coordinates:
          anyOf:
            - $ref: '#/components/schemas/GpsCoordinates'
            - type: 'null'
        open_state:
          anyOf:
            - type: string
            - type: 'null'
          title: Open State
        hours:
          anyOf:
            - type: string
            - type: 'null'
          title: Hours
        operating_hours:
          additionalProperties:
            type: string
          type: object
          title: Operating Hours
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        thumbnail:
          anyOf:
            - type: string
            - type: 'null'
          title: Thumbnail
        image:
          anyOf:
            - type: string
            - type: 'null'
          title: Image
          description: Full-size image URL (same CDN as thumbnail but larger)
        google_maps_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Google Maps Url
        reviews_link:
          anyOf:
            - type: string
            - type: 'null'
          title: Reviews Link
        photos_link:
          anyOf:
            - type: string
            - type: 'null'
          title: Photos Link
        posts_link:
          anyOf:
            - type: string
            - type: 'null'
          title: Posts Link
        service_options:
          anyOf:
            - $ref: '#/components/schemas/MapsServiceOptions'
            - type: 'null'
      type: object
      required:
        - title
      title: MapsPlaceResult
      description: A place from Maps search results.
    Pagination:
      properties:
        current:
          anyOf:
            - type: integer
            - type: string
          title: Current
          default: 1
        next:
          anyOf:
            - type: string
            - type: 'null'
          title: Next
        total_results:
          anyOf:
            - type: integer
            - type: 'null'
          title: Total Results
        total_pages:
          anyOf:
            - type: integer
            - type: 'null'
          title: Total Pages
        page_no:
          additionalProperties:
            type: string
          type: object
          title: Page No
      type: object
      title: Pagination
      description: Pagination metadata.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    GpsCoordinates:
      properties:
        lat:
          type: number
          title: Lat
        lng:
          type: number
          title: Lng
      type: object
      required:
        - lat
        - lng
      title: GpsCoordinates
      description: GPS coordinates.
    MapsServiceOptions:
      properties:
        dine_in:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Dine In
        takeout:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Takeout
        delivery:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Delivery
        curbside_pickup:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Curbside Pickup
      type: object
      title: MapsServiceOptions
      description: Service options for a business.
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````